import { EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class InputNumberComponent implements ControlValueAccessor {
    initialValue: import("@angular/core").InputSignal<number>;
    label: string;
    placeholder: string;
    helperText: string;
    alertText: string;
    successText: string;
    error: boolean;
    success: boolean;
    disabled: boolean;
    required: boolean;
    readonly: boolean;
    isLoading: boolean;
    size: 'sm' | 'md' | 'lg';
    variant: 'default' | 'right';
    fullWidth: boolean;
    minimum: number;
    maximum: number | undefined;
    step: number;
    emitValue: EventEmitter<number>;
    value: import("@angular/core").WritableSignal<number>;
    private get maxValue();
    isAtMinimum: import("@angular/core").Signal<boolean>;
    isAtMaximum: import("@angular/core").Signal<boolean>;
    constructor();
    private onChangeFn;
    private onTouchedFn;
    writeValue(value: number): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    get inputClass(): string[];
    get ariaDescribedBy(): string | null;
    onType(event: Event): void;
    upNumber(): void;
    downNumber(): void;
    onBlur(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputNumberComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputNumberComponent, "lib-input-number", never, { "initialValue": { "alias": "initialValue"; "required": false; "isSignal": true; }; "label": { "alias": "label"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "helperText": { "alias": "helperText"; "required": false; }; "alertText": { "alias": "alertText"; "required": false; }; "successText": { "alias": "successText"; "required": false; }; "error": { "alias": "error"; "required": false; }; "success": { "alias": "success"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "required": { "alias": "required"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "isLoading": { "alias": "isLoading"; "required": false; }; "size": { "alias": "size"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; "fullWidth": { "alias": "fullWidth"; "required": false; }; "minimum": { "alias": "minimum"; "required": false; }; "maximum": { "alias": "maximum"; "required": false; }; "step": { "alias": "step"; "required": false; }; }, { "emitValue": "emitValue"; }, never, never, true, never>;
}
